Skip to main content
POST
/
document-extractions
/
{documentId}
/
feedback
Submit feedback for a document extraction
curl --request POST \
  --url https://api.example.com/document-extractions/{documentId}/feedback \
  --header 'Content-Type: application/json' \
  --data '
{
  "fieldKey": "<string>",
  "originalValue": "<string>",
  "correctedValue": "<string>",
  "comment": "<string>"
}
'
import requests

url = "https://api.example.com/document-extractions/{documentId}/feedback"

payload = {
"fieldKey": "<string>",
"originalValue": "<string>",
"correctedValue": "<string>",
"comment": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
fieldKey: '<string>',
originalValue: '<string>',
correctedValue: '<string>',
comment: '<string>'
})
};

fetch('https://api.example.com/document-extractions/{documentId}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "feedbackId": "<string>"
}

Path Parameters

documentId
string
required

Body

application/json
feedbackType
enum<string>
required
Available options:
FIELD_CORRECTION,
FIELD_VALIDATION,
DOCUMENT_REJECTION
fieldKey
string
originalValue
string
correctedValue
string
comment
string

Response

200 - application/json
feedbackId
string
required

ID of the persisted feedback record